# Module root

Compose Runtime

# Package androidx.compose.runtime

In this page, you'll find documentation for types, properties, and functions available in the
`androidx.compose.runtime` package. For example:
* State APIs such as [State], [remember], [mutableStateOf], and [collectAsState].
* Side-effects APIs such as [LaunchedEffect], and [SideEffect].
* Coroutines related APIs such as [rememberCoroutineScope], and [snapshotFlow].
* [CompositionLocal] APIs such as [compositionLocalOf].
* Composition related APIs such as [Composition], [Recomposer], [ComposeNode], and [RecomposeScope].
* Clock APIs such as [MonotonicFrameClock], [withFrameMillis],
* Certain annotations such as [Composable], and [Stable].

If you're looking for guidance instead, check out the following Compose guides:
* <a href="https://developer.android.com/jetpack/compose/mental-model" class="external" target="_blank">Thinking in Compose</a>.
* <a href="https://developer.android.com/jetpack/compose/state" class="external" target="_blank">Managing State in Compose</a>.
* <a href="https://developer.android.com/jetpack/compose/lifecycle" class="external" target="_blank">Lifecycle of composables</a>.
* <a href="https://developer.android.com/jetpack/compose/side-effects" class="external" target="_blank">Side-effects in Compose</a>.
